unit UPrinc;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus;

type
  TFoPrinc = class(TForm)
    MainMenu1: TMainMenu;
    Sistema1: TMenuItem;
    Configurar1: TMenuItem;
    Sair1: TMenuItem;
    procedure FormShow(Sender: TObject);
    procedure Sair1Click(Sender: TObject);
    procedure Configurar1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FoPrinc: TFoPrinc;

implementation

uses UGenerica, USplash, UConf;

{$R *.dfm}

procedure TFoPrinc.FormShow(Sender: TObject);
begin
  if (Existe_ArquiINI(aplic) = False) then
  begin
    CriarValorDefault(aplic); //Vai primeiro criar o arquivo
    FoPrinc.Caption := LeValorIndividual(aplic,2);
    Application.Title := LeValorIndividual(aplic,0);

    if (LeValorIndividual(Aplic,3) = True) then
    begin
      FoSplash := TFoSplash.Create(Self);
      FoSplash.Label1.Caption := LeValorIndividual(Aplic,1);
      FoSplash.Show;
      FoSplash.Refresh;
      Sleep(1000 * LeValorIndividual(aplic,4));
      FoSplash.Close;
      FoSplash.Free;
    end;

  end
  else
  begin
    FoPrinc.Caption := LeValorIndividual(aplic,2);
    Application.Title := LeValorIndividual(aplic,0);

    if (LeValorIndividual(Aplic,3) = True) then
    begin
      FoSplash := TFoSplash.Create(Self);
      FoSplash.Label1.Caption := LeValorIndividual(Aplic,1);
      FoSplash.Show;
      FoSplash.Refresh;
      Sleep(1000 * LeValorIndividual(aplic,4));
      FoSplash.Close;
      FoSplash.Free;
    end;

  end;
end;

procedure TFoPrinc.Sair1Click(Sender: TObject);
begin
  ShowMessage('A aplicao ser encerrada agora!');
  Close;
end;

procedure TFoPrinc.Configurar1Click(Sender: TObject);
begin
  FoConf := TFoConf.Create(Self);
  FoConf.ShowModal;
end;

end.
